Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(159)

Issue 1126243007: Update copy of safe_math_impl.h to take a fix from upstream: (Closed)

Created:
5 years, 4 months ago by eroman
Modified:
5 years, 4 months ago
Reviewers:
Tom Sepez, jschuh
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Update copy of safe_math_impl.h to take a fix from upstream: Fix a division by zero when multiplying 0 * y with SafeNumerics. BUG=488302 R=jschuh@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/5f566b3e5cbbcab6c0c1b37ca09046081b9bb94c

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -2 lines) Patch
M third_party/base/numerics/safe_math_impl.h View 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
eroman
5 years, 4 months ago (2015-05-18 15:55:04 UTC) #2
eroman
.. and i fixed the changelist description (safe_math_impl.h)
5 years, 4 months ago (2015-05-18 15:56:41 UTC) #3
eroman
5 years, 4 months ago (2015-05-20 23:02:38 UTC) #5
jschuh
lgtm
5 years, 4 months ago (2015-05-20 23:06:49 UTC) #7
commit-bot: I haz the power
Commit queue rejected this change because it did not recognize the base URL. Please commit ...
5 years, 4 months ago (2015-05-20 23:09:04 UTC) #11
eroman
What is the process for landing this? I tried manually with "git cl land" and ...
5 years, 4 months ago (2015-05-20 23:38:50 UTC) #12
Tom Sepez
On 2015/05/20 23:38:50, eroman (sick slow) wrote: > What is the process for landing this? ...
5 years, 4 months ago (2015-05-20 23:47:28 UTC) #13
eroman
If you can land it Tom that would be great!
5 years, 4 months ago (2015-05-20 23:57:03 UTC) #14
Tom Sepez
5 years, 4 months ago (2015-05-21 22:08:21 UTC) #15
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
5f566b3e5cbbcab6c0c1b37ca09046081b9bb94c (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698